AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- PushNotification

## Index

### Constructors

- constructor

### Methods

- _checkIfOpenedByCampaign
- _registerTokenCached
- addEventListenerForAndroid
- addEventListenerForIOS
- configure
- getModuleName
- handleCampaignOpened
- handleCampaignPush
- initializeAndroid
- initializeIOS
- onNotification
- onNotificationOpened
- onRegister
- parseMessageFromIOS
- parseMessagefromAndroid
- updateEndpoint

## Constructors

### constructor

- new PushNotification(config: any): PushNotification

- - Defined in pushnotification/src/PushNotification.ts:29

  #### Parameters

  - ##### config: any

  #### Returns PushNotification

## Methods

### _checkIfOpenedByCampaign

- _checkIfOpenedByCampaign(nextAppState: any): void

- - Defined in pushnotification/src/PushNotification.ts:145

  #### Parameters

  - ##### nextAppState: any

  #### Returns void

### _registerTokenCached

- _registerTokenCached(): Promise<boolean>

- - Defined in pushnotification/src/PushNotification.ts:126

  #### Returns Promise<boolean>

### addEventListenerForAndroid

- addEventListenerForAndroid(event: any, handler: any): void

- - Defined in pushnotification/src/PushNotification.ts:272

  #### Parameters

  - ##### event: any

  - ##### handler: any

  #### Returns void

### addEventListenerForIOS

- addEventListenerForIOS(event: any, handler: any): void

- - Defined in pushnotification/src/PushNotification.ts:292

  #### Parameters

  - ##### event: any

  - ##### handler: any

  #### Returns void

### configure

- configure(config: any): void

- - Defined in pushnotification/src/PushNotification.ts:55

  #### Parameters

  - ##### config: any

  #### Returns void

### getModuleName

- getModuleName(): string

- - Defined in pushnotification/src/PushNotification.ts:51

  #### Returns string

### handleCampaignOpened

- handleCampaignOpened(rawMessage: any): void

- - Defined in pushnotification/src/PushNotification.ts:199

  #### Parameters

  - ##### rawMessage: any

  #### Returns void

### handleCampaignPush

- handleCampaignPush(rawMessage: any): void

- - Defined in pushnotification/src/PushNotification.ts:159

  #### Parameters

  - ##### rawMessage: any

  #### Returns void

### initializeAndroid

- initializeAndroid(): Promise<void>

- - Defined in pushnotification/src/PushNotification.ts:107

  #### Returns Promise<void>

### initializeIOS

- initializeIOS(): void

- - Defined in pushnotification/src/PushNotification.ts:135

  #### Returns void

### onNotification

- onNotification(handler: any): void

- - Defined in pushnotification/src/PushNotification.ts:76

  #### Parameters

  - ##### handler: any

  #### Returns void

### onNotificationOpened

- onNotificationOpened(handler: any): void

- - Defined in pushnotification/src/PushNotification.ts:87

  #### Parameters

  - ##### handler: any

  #### Returns void

### onRegister

- onRegister(handler: any): void

- - Defined in pushnotification/src/PushNotification.ts:96

  #### Parameters

  - ##### handler: any

  #### Returns void

### parseMessageFromIOS

- parseMessageFromIOS(message: any): any

- - Defined in pushnotification/src/PushNotification.ts:335

  #### Parameters

  - ##### message: any

  #### Returns any

### parseMessagefromAndroid

- parseMessagefromAndroid(message: any, from?: any): any

- - Defined in pushnotification/src/PushNotification.ts:304

  #### Parameters

  - ##### message: any

  - ##### Optional from: any

  #### Returns any

### updateEndpoint

- updateEndpoint(token: any): void

- - Defined in pushnotification/src/PushNotification.ts:238

  #### Parameters

  - ##### token: any

  #### Returns void